Summary:	A-A-P - tool to locate, download, build and install software
Summary(pl.UTF-8):	A-A-P - narzędzie do ściągania, budowania i instalowania oprogramowania
Name:		aap
Version:	1.094
Release:	1
License:	GPL v2
Group:		Development/Tools
Source0:	https://downloads.sourceforge.net/a-a-p/%{name}-%{version}.zip
# Source0-md5:	ebffc75e047ba3e428d296c1e405e428
Patch0:		%{name}-FHS.patch
URL:		http://www.a-a-p.org/
BuildRequires:	python >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
Requires:	python >= 1:2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A-A-P makes it easy to locate, download, build and install software.
It also supports browsing source code, developing programs, managing
different versions and distribution of software and documentation.
This means that A-A-P is useful both for users and for developers.

%description -l pl.UTF-8
A-A-P ułatwia odnajdowanie, ściąganie, budowanie i instalowanie
oprogramowania. Wspiera także przeglądanie kodu źródłowego, tworzenie
programów, zarządzanie różnymi wersjami oraz dystrybucję
oprogramowania i dokumentacji. Oznacza to, że A-A-P jest przydatny
zarówno dla użytkowników, jak i programistów.

%package doc
Summary:	HTML Documentation for A-A-P
Summary(pl.UTF-8):	Dokumentacja HTML do pakietu A-A-P
Group:		Documentation

%description doc
HTML Documentation for A-A-P.

%description doc -l pl.UTF-8
Dokumentacja HTML do pakietu A-A-P.

%prep
%setup -qc
%patch -P0 -p1
grep -r env.python -l . | xargs %{__sed} -i -e '1s,#!.*bin/env python,#!%{__python},'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}

./aap install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

ln -snf %{_datadir}/%{name}/aap $RPM_BUILD_ROOT%{_bindir}/aap

%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}}/%{name}/tools
%py_postclean %{_datadir}/%{name}

rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/{doc,README.txt,COPYING}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aap
%dir %{_datadir}/%{name}
%attr(755,root,root) %{_datadir}/%{name}/aap
%{_datadir}/%{name}/*.py[co]
%{_datadir}/%{name}/default.aap
%{_datadir}/%{name}/modules
%dir %{_datadir}/%{name}/tools
%{_datadir}/%{name}/tools/*.py[co]
%{_mandir}/man1/aap.1*

%files doc
%defattr(644,root,root,755)
%doc doc/{*.html,*.pdf,images}
%changelog
* Wed Jul 02 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aap.git;a=log;h=master

* Wed Jul 02 2025 Jakub Bogusz <qboosh@pld-linux.org> 36fd454
- up to 1.094

* Wed Jul 02 2025 Jakub Bogusz <qboosh@pld-linux.org> 814a7b4
- use patch -P

* Tue Jan 05 2010 Elan Ruusamäe <glen@pld-linux.org> 3587311
- up to 1.091; doc subpackage

* Mon Jan 19 2009 Jakub Bogusz <qboosh@pld-linux.org> 8443a29
- unified

* Sun Jan 18 2009 Elan Ruusamäe <glen@pld-linux.org> 26e03d6
- fix man path

* Sun Jan 18 2009 Elan Ruusamäe <glen@pld-linux.org> dec6c9d
- 1.090, noarch

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> eb1a1cc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> df69799
- converted to UTF-8

* Wed Jan 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 389a8f9
- updated to 1.089

* Wed May 17 2006 Jakub Bogusz <qboosh@pld-linux.org> b3660b3
- new

